Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Select Individual Objects in a Selection Group

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
daniel.welchLFHPQ
509 Views, 4 Replies

Select Individual Objects in a Selection Group

Hi,

 

Is there a way to select multiple objects and then "next" through them one at a time?  If not, does a LISP already exist to do this?

danielwelchLFHPQ_0-1691680994647.png

Then click "next" and the first object selected in the group is selected.

danielwelchLFHPQ_1-1691681055855.png

Then click "next" and the second object selected in the group is selected and so on.

danielwelchLFHPQ_2-1691681113661.png

Labels (2)
4 REPLIES 4
Message 2 of 5

@daniel.welchLFHPQ ,

 

Please elaborate your intended purpose.

 

You may want to research these links:



Please select the "Accept as Solution" button if my post solves your issue or answers your question.


Emilio Valentin
Message 3 of 5

@Valentin-WSP 

 

My goal is to be able to select multiple blocks (specifically connectors in ACADE) then next through them and change various attributes that need different values between the blocks.  For example:  Say I want to change the location on 5 different connectors to 5 different locations.  I would select all 5 of the connectors then I could "next" through each connector and change the location without having to select them individually with my mouse.

 

This functionality would allow me to create a script that would take in a list of locations and then next through the selected blocks and change the location attribute of each block according to the corresponding value in the list.  This would repeat for all of the selected connectors.

Message 4 of 5

Something like this?  [minimally tested]

(defun C:SSST (); = Selection Set to Step Through
  (prompt "\nTo establish Selection Set to Step Through with STSS command,")
  (setq *SSST* (ssget))
)

(defun C:STSS (/ n); = Step Through Selection Set
  (if *SSST*
    (progn ; then
      (setq n (sslength *SSST*))
      (sssetfirst nil ; select/grip/highlight
        (ssadd ; put into unnamed selection set
          (ssname *SSST*
            (cond
              (*STSSn* (setq *STSSn* (rem (1+ *STSSn*) n)))
              ((setq *STSSn* 0))
            ); cond
          ); ssname
        ); ssadd
      ); sssetfirst
    ); progn
    (prompt "\nNo set established by SSST command yet."); else
  ); if
  (prin1)
)
Kent Cooper, AIA
Message 5 of 5

@Kent1Cooper 

 

Yes, just like this thank you!

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


Autodesk Design & Make Report